| 0.9.9 API documenation

- Main Page
- Modules
- Files

Typedefs
GLM_GTX_std_based_type
Experimental extensions

Include <glm/gtx/std_based_type.hpp> to use the features of this extension. More...

## Typedefs
typedef vec< 1, std::size_t, defaultp > | size1
| Vector type based of one std::size_t component. More...
typedef vec< 1, std::size_t, defaultp > | size1_t
| Vector type based of one std::size_t component. More...
typedef vec< 2, std::size_t, defaultp > | size2
| Vector type based of two std::size_t components. More...
typedef vec< 2, std::size_t, defaultp > | size2_t
| Vector type based of two std::size_t components. More...
typedef vec< 3, std::size_t, defaultp > | size3
| Vector type based of three std::size_t components. More...
typedef vec< 3, std::size_t, defaultp > | size3_t
| Vector type based of three std::size_t components. More...
typedef vec< 4, std::size_t, defaultp > | size4
| Vector type based of four std::size_t components. More...
typedef vec< 4, std::size_t, defaultp > | size4_t
| Vector type based of four std::size_t components. More...

## Detailed Description

Include <glm/gtx/std_based_type.hpp> to use the features of this extension.

Adds vector types based on STL value types.

## Typedef Documentation

typedef vec<1, std::size_t, defaultp> size1

Vector type based of one std::size_t component.

See also
  GLM_GTX_std_based_type

Definition at line 35 of file std_based_type.hpp.

typedef vec<1, std::size_t, defaultp> size1_t

Vector type based of one std::size_t component.

See also
  GLM_GTX_std_based_type

Definition at line 51 of file std_based_type.hpp.

typedef vec<2, std::size_t, defaultp> size2

Vector type based of two std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 39 of file std_based_type.hpp.

typedef vec<2, std::size_t, defaultp> size2_t

Vector type based of two std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 55 of file std_based_type.hpp.

typedef vec<3, std::size_t, defaultp> size3

Vector type based of three std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 43 of file std_based_type.hpp.

typedef vec<3, std::size_t, defaultp> size3_t

Vector type based of three std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 59 of file std_based_type.hpp.

typedef vec<4, std::size_t, defaultp> size4

Vector type based of four std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 47 of file std_based_type.hpp.

typedef vec<4, std::size_t, defaultp> size4_t

Vector type based of four std::size_t components.

See also
  GLM_GTX_std_based_type

Definition at line 63 of file std_based_type.hpp.